Name: ocaml
Version: 3.12.0
%define abiversion 3.12
Release: 21%{?dist}
Epoch: 1
Summary: The Objective Caml compiler and programming environment
Source0: http://caml.inria.fr/pub/distrib/%{name}-%{abiversion}/%{name}-%{version}.tar.bz2
Source1: http://caml.inria.fr/pub/distrib/%{name}-%{abiversion}/%{name}-%{abiversion}-refman.html.tar.gz
Source2: http://caml.inria.fr/pub/distrib/%{name}-%{abiversion}/%{name}-%{abiversion}-refman.pdf
Source3: http://caml.inria.fr/pub/distrib/%{name}-%{abiversion}/%{name}-%{abiversion}-refman.info.tar.gz
License: Open Source
Group: Development/Languages
URL: http://caml.inria.fr/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ncurses-devel, gdbm-devel, tcl-devel, tk-devel
BuildRequires: emacs
Provides: ocaml(runtime) = %{version}

%global __ocaml_requires_opts -c -f %{buildroot}%{_bindir}/ocamlobjinfo
%global __ocaml_provides_opts -f %{buildroot}%{_bindir}/ocamlobjinfo

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel system,
parsing tools (Lex,Yacc,Camlp4), a replay debugger, a documentation generator,
and a comprehensive library.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
%setup -q -T -D -a 3
cp %{SOURCE2} refman.ps.gz

%build
./configure -bindir %{_bindir} -libdir %{_libdir}/ocaml -mandir %{_mandir}/man1 -x11lib /usr/X11R6/%{_lib} \
  -cc "gcc %{optflags}" \
  -with-pthread
make world.opt

%install
rm -rf %{buildroot}
%makeinstall BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir}/ocaml MANDIR=%{buildroot}%{_mandir}
perl -pi -e's,^%{buildroot},,' %{buildroot}%{_libdir}/ocaml/ld.conf
(cd emacs; make install BINDIR=%{buildroot}%{_bindir} EMACSDIR=%{buildroot}%{_datadir}/emacs/site-lisp)
(mkdir -p %{buildroot}%{_infodir}; cd infoman; cp ocaml*.gz %{buildroot}%{_infodir})

%files
%defattr(-,root,root,-)
%doc README LICENSE refman.ps.gz htmlman
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_libdir}/ocaml
%{_datadir}/emacs/site-lisp/*
%{_infodir}/*

%changelog
* Sat Sep 25 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:3.12.0-21
- Update to 3.12.0.

* Fri Oct 23 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:3.11.1-20
- Update to 3.11.1.

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:3.10.2-19
- Update to 3.10.2.

* Thu Jan 31 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:3.10.1-18
- Update to 3.10.1.

* Fri Jul 27 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:3.10.0-17
- Update to 3.10.0.

* Fri Nov  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:3.09.3-16
- Update to 3.09.2.

* Sun May 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.09.2.

* Tue Dec 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.09.0.

* Mon Aug 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.08.04.

* Sat Mar 26 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.08.3.

* Tue Nov 23 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.08.1

* Fri Aug  6 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.08.

* Mon Oct 13 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 3.07.

* Wed Apr  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rebuilt for Red Hat 9.

* Tue Nov 26 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added %{_mandir}/mano/* entry
